## org.hibernate.event
Class DeleteEvent

    java.lang.Object
      org.hibernate.event.AbstractEvent
          org.hibernate.event.DeleteEvent

All Implemented Interfaces:
  Serializable

    public class DeleteEvent

extends AbstractEvent

Defines an event class for the deletion of an entity.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`DeleteEvent(Object object, EventSource source)` Constructs a new DeleteEvent instance.
`DeleteEvent(String entityName, Object object, boolean isCascadeDeleteEnabled, EventSource source)`
`DeleteEvent(String entityName, Object object, EventSource source)`

Method Summary
`String` `getEntityName()`
`Object` `getObject()` Returns the encapsulated entity to be deleed.
`boolean` `isCascadeDeleteEnabled()`

Methods inherited from class org.hibernate.event.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteEvent

    public DeleteEvent(Object object,
                       EventSource source)

  Constructs a new DeleteEvent instance.

  Parameters:
    `object` - The entity to be deleted.
    `source` - The session from which the delete event was generated.

### DeleteEvent

    public DeleteEvent(String entityName,
                       Object object,
                       EventSource source)

### DeleteEvent

    public DeleteEvent(String entityName,
                       Object object,
                       boolean isCascadeDeleteEnabled,
                       EventSource source)

Method Detail

### getObject

    public Object getObject()

  Returns the encapsulated entity to be deleed.

  Returns:
    The entity to be deleted.

### getEntityName

    public String getEntityName()

### isCascadeDeleteEnabled

    public boolean isCascadeDeleteEnabled()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.